# frozen_string_literal: true

require 'tty/markdown'

module HintMe
  module Cheatsheet
    # prints a cheatsheet to the console
    class Printer
      # prints the content of a cheatsheet on the console
      #
      # @param cheatsheet [String]
      #
      def print(cheatsheet)
        puts ::TTY::Markdown.parse(cheatsheet)
      end
    end
  end
end
